| Rate Limited? | |
| Requires Authentication? | |
| Requires Partner-Level Access? | |
| Pagination? | |
| Response Formats: | |
| HTTP Methods: |
Please Authenticate the developer console with your registered applicaiton in order to use and test the API methods.
| client_id: | The consumer key for the OAuth client |
| response_type: | The response type for the OAuth flow. Valid types are code and token |
| redirect_uri: | The URI where StockTwits will redirect the user for authorization |
| scope: | A comma-delimited list of scope permissions |
| prompt: | Set to 1 to always prompt for authorization |
cURL [ about cURL ] // Token example curl -X GET -u <username> -p https://api.stocktwits.com/api/2/oauth/authorize -d 'client_id=<client id>&response_type=token&redirect_uri=http://www.example.com&scope=read,watch_lists,publish_messages,publish_watch_lists,follow_users,follow_stocks' // Code example curl -X GET https://api.stocktwits.com/api/2/oauth/authorize -d 'client_id=<client id>&response_type=code&redirect_uri=http://www.example.com&scope=read,watch_lists,publish_messages,publish_watch_lists,follow_users,follow_stocks'
// Token response <html> <body>You are being <a href="http://www.example.com#access_token=<access_token>">redirected</a>.</body> </html> // Code response <html> <body>You are being <a href="https://stocktwits.com/api/2/oauth/signin?client_id=<client id>&redirect_uri=http%3A%2F%2Fwww.example.com&response_type=code">redirected</a>.</body> </html>
| client_id: | The consumer key for the OAuth client |
| grant_type: | The grant type requested. Valid types are authorization_code and refresh_token |
| client_secret: | The consumer secret for the client application |
| redirect_uri: | The URI where StockTwits will redirect the user for authorization |
| code: | The authorization code returned in the Code server flow |
cURL [ about cURL ] curl -X POST https://api.stocktwits.com/api/2/oauth/token -d 'client_id=<client id>&client_secret=<client secret>&code=<code>&grant_type=authorization_code&redirect_uri=http://www.example.com'
{
"user_id":1,
"access_token":"<access token>",
"scope":"read",
"username":"userabc"
}
The extended metadata in the API response below is only available through Partner-Level Access
| id: | User ID or Username of the stream's user you want to show (Required) |
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, or videos. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/user/170.json curl -X GET https://api.stocktwits.com/api/2/streams/user/howardlindzon.json
{
"response": {
"status": 200
},
"user": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"cursor": {
"more": true,
"since": 40,
"max": 42
},
"messages": [
{
"id": 40,
"body": "I sold $NQ_F",
"created_at": "2012-10-08 21:40:46 UTC",
"user": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 41,
"body": "long $TF_F",
"created_at": "2012-10-08 21:40:46 UTC",
"user": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 32,
"symbol": "TF_F",
"title": "Russell 2000 Index Mini Futures",
"exchange": "ICE",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 42,
"body": "short $ES_F",
"created_at": "2012-10-08 21:40:46 UTC",
"user": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 30,
"symbol": "ES_F",
"title": "E-Mini S&P 500 Futures",
"exchange": "CME",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| id: | Ticker symbol, Stock ID, or RIC code of the symbol (Required) |
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/symbol/AAPL.json
{
"response": {
"status": 200
},
"symbol": {
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential"
},
"cursor": {
"more": true,
"since": 49,
"max": 51
},
"messages": [
{
"id": 49,
"body": "short $JOY",
"created_at": "2012-10-08 21:41:38 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 50,
"body": "an idea about a $JOY",
"created_at": "2012-10-08 21:41:38 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 51,
"body": "more ideas about $JOY",
"created_at": "2012-10-08 21:41:38 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
Returns the most recent 30 messages for the specified list of symbols. Up to 10 symbols allowed. View the display guidelines
This API end-point is only available through Partner-Level Access
| symbols: | List of multiple Ticker symbols or Stock IDs. Max 10 (Required) |
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/symbols.json?access_token=<access_token> -d symbols=AAPL,MSFT
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 16,
"max": 18
},
"symbols": [
[
{
"id": 32,
"symbol": "TF_F",
"title": "Russell 2000 Index Mini Futures",
"exchange": "ICE",
"sector": null,
"industry": null
},
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null
},
{
"id": 30,
"symbol": "ES_F",
"title": "E-Mini S&P 500 Futures",
"exchange": "CME",
"sector": null,
"industry": null
}
],
{
"more": true,
"since": 16,
"max": 18
}
],
"messages": [
{
"id": 16,
"body": "more ideas about $TF_F",
"created_at": "2012-10-08 21:39:15 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 32,
"symbol": "TF_F",
"title": "Russell 2000 Index Mini Futures",
"exchange": "ICE",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 17,
"body": "something about $ES_F",
"created_at": "2012-10-08 21:39:16 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 30,
"symbol": "ES_F",
"title": "E-Mini S&P 500 Futures",
"exchange": "CME",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 18,
"body": "I bought $NQ_F",
"created_at": "2012-10-08 21:39:16 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
This API end-point is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/all.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 64,
"max": 66
},
"messages": [
{
"id": 64,
"body": "an idea about a $JOY",
"created_at": "2012-10-08 21:42:33 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 65,
"body": "more ideas about $GOOG",
"created_at": "2012-10-08 21:42:33 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 66,
"body": "something about $ARR",
"created_at": "2012-10-08 21:42:33 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
This API end-point is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/forex.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 4,
"max": 6
},
"messages": [
{
"id": 4,
"body": "I bought $USDJPY",
"created_at": "2012-10-08 21:38:47 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 21,
"symbol": "USDJPY",
"title": "US Dollar / Japanese Yen",
"exchange": "FX",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 5,
"body": "I sold $EURUSD",
"created_at": "2012-10-08 21:38:47 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 19,
"symbol": "EURUSD",
"title": "Euro / US Dollar",
"exchange": "FX",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 6,
"body": "long $GBPUSD",
"created_at": "2012-10-08 21:38:47 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 20,
"symbol": "GBPUSD",
"title": "British Pound / US Dollar",
"exchange": "FX",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
This API end-point is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/futures.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 55,
"max": 57
},
"messages": [
{
"id": 55,
"body": "long $TF_F",
"created_at": "2012-10-08 21:42:12 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 32,
"symbol": "TF_F",
"title": "Russell 2000 Index Mini Futures",
"exchange": "ICE",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 56,
"body": "short $ES_F",
"created_at": "2012-10-08 21:42:12 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 30,
"symbol": "ES_F",
"title": "E-Mini S&P 500 Futures",
"exchange": "CME",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 57,
"body": "an idea about a $NQ_F",
"created_at": "2012-10-08 21:42:12 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/charts.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 37,
"max": 39
},
"messages": [
{
"id": 37,
"body": "more ideas about $JOY",
"created_at": "2012-10-08 21:40:33 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"chart": {
"thumb": "/chart_images/small/missing.png",
"original": "/chart_images/original/missing.png"
},
"sentiment": null
}
},
{
"id": 38,
"body": "something about $ARR",
"created_at": "2012-10-08 21:40:33 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"chart": {
"thumb": "/chart_images/small/missing.png",
"original": "/chart_images/original/missing.png"
},
"sentiment": null
}
},
{
"id": 39,
"body": "I bought $JOY",
"created_at": "2012-10-08 21:40:33 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"chart": {
"thumb": "/chart_images/small/missing.png",
"original": "/chart_images/original/missing.png"
},
"sentiment": null
}
}
]
}
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/suggested.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 34,
"max": 36
},
"messages": [
{
"id": 34,
"body": "long $JOY",
"created_at": "2012-10-08 21:40:23 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 35,
"body": "short $GOOG",
"created_at": "2012-10-08 21:40:23 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 36,
"body": "an idea about a $ARR",
"created_at": "2012-10-08 21:40:23 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
This API end-point is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/equities.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 67,
"max": 69
},
"messages": [
{
"id": 67,
"body": "I bought $JOY",
"created_at": "2012-10-08 21:42:44 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 68,
"body": "I sold $GOOG",
"created_at": "2012-10-08 21:42:45 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 69,
"body": "long $ARR",
"created_at": "2012-10-08 21:42:45 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
This API end-point is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/private_companies.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 43,
"max": 45
},
"messages": [
{
"id": 43,
"body": "an idea about a $SQUARE",
"created_at": "2012-10-08 21:41:00 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 28,
"symbol": "SQUARE",
"title": "Square",
"exchange": "PRIVATE",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 44,
"body": "more ideas about $HULU",
"created_at": "2012-10-08 21:41:00 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 26,
"symbol": "HULU",
"title": "Hulu",
"exchange": "PRIVATE",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 45,
"body": "something about $4SQ",
"created_at": "2012-10-08 21:41:00 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 27,
"symbol": "4SQ",
"title": "Foursquare",
"exchange": "PRIVATE",
"sector": null,
"industry": null,
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
This API end-point is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/sectors/technology.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 25,
"max": 27
},
"messages": [
{
"id": 25,
"body": "I bought $JOY",
"created_at": "2012-10-08 21:39:48 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 26,
"body": "I sold $GOOG",
"created_at": "2012-10-08 21:39:49 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 27,
"body": "long $ARR",
"created_at": "2012-10-08 21:39:49 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| id: | The message ID of the parent message to a conversation. (Required) |
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/conversation/10349526.json
{
"response": {
"status": 200
},
"cursor": {
"more": false,
"max": 10349931,
"since": 10349977
},
"parent": {
"id": 10349526,
"body": "adding back the $GOOG i sold friday at $594",
"created_at": "2012-11-05T14:54:48Z",
"user": {
"id": 5,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/production/5/thumb-1347665796.png",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/production/5/thumb-1347665796.png",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 2044,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"conversation": {
"parent_message_id": 10349526,
"in_reply_to_message_id": null,
"parent": true,
"replies": 2
},
"entities": {
"sentiment": null
}
},
"messages": [
{
"id": 10349977,
"body": "woops - i meant sold at $694...on stream noted. thx",
"created_at": "2012-11-05T15:05:25Z",
"user": {
"id": 5,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/production/5/thumb-1347665796.png",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/production/5/thumb-1347665796.png",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"conversation": {
"parent_message_id": 10349526,
"in_reply_to_message_id": 10349526,
"parent": false,
"replies": 2
},
"entities": {
"sentiment": null
}
},
{
"id": 10349931,
"body": "@howardlindzon That's hell of a tread! LOL $694",
"created_at": "2012-11-05T15:04:18Z",
"user": {
"id": 61271,
"username": "grock1",
"name": "grock1",
"avatar_url": "http://avatars.stocktwits.com/production/61271/thumb-1300238031.png",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/production/61271/thumb-1300238031.png",
"identity": "User",
"classification": [],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "",
"website_url": "",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"conversation": {
"parent_message_id": 10349526,
"in_reply_to_message_id": 10349526,
"parent": false,
"replies": 2
},
"entities": {
"sentiment": null
}
}
]
}
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/trending.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 7,
"max": 9
},
"messages": [
{
"id": 7,
"body": "short $JOY",
"created_at": "2012-10-08 21:38:56 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 8,
"body": "an idea about a $GOOG",
"created_at": "2012-10-08 21:38:56 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 9,
"body": "more ideas about $ARR",
"created_at": "2012-10-08 21:38:56 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/investor_relations.json
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 58,
"max": 60
},
"messages": [
{
"id": 58,
"body": "more ideas about $JOY",
"created_at": "2012-10-08 21:42:22 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 59,
"body": "something about $GOOG",
"created_at": "2012-10-08 21:42:22 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 60,
"body": "I bought $ARR",
"created_at": "2012-10-08 21:42:22 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/home.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 19,
"max": 21
},
"messages": [
{
"id": 19,
"body": "I sold $JOY",
"created_at": "2012-10-08 21:39:31 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 20,
"body": "long $GOOG",
"created_at": "2012-10-08 21:39:31 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 21,
"body": "short $ARR",
"created_at": "2012-10-08 21:39:31 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/friends.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 1,
"max": 3
},
"messages": [
{
"id": 1,
"body": "an idea about a $JOY",
"created_at": "2012-10-08 21:38:38 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 2,
"body": "more ideas about $GOOG",
"created_at": "2012-10-08 21:38:38 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 3,
"body": "something about $ARR",
"created_at": "2012-10-08 21:38:38 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/mentions.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 52,
"max": 54
},
"messages": [
{
"id": 52,
"body": "something about $JOY",
"created_at": "2012-10-08 21:41:56 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"conversation": {
"parent_message_id": 52,
"in_reply_to_message_id": null,
"parent": true,
"replies": 0
},
"entities": {
"sentiment": null
}
},
{
"id": 53,
"body": "I bought $GOOG",
"created_at": "2012-10-08 21:41:56 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"conversation": {
"parent_message_id": 53,
"in_reply_to_message_id": null,
"parent": true,
"replies": 0
},
"entities": {
"sentiment": null
}
},
{
"id": 54,
"body": "I sold $ARR",
"created_at": "2012-10-08 21:41:56 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"conversation": {
"parent_message_id": 54,
"in_reply_to_message_id": null,
"parent": true,
"replies": 0
},
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/direct.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 70,
"max": 72
},
"messages": [
{
"id": 70,
"body": "short $JOY",
"created_at": "2012-10-08 21:42:54 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"recipient": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 3,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"entities": {
"sentiment": null
}
},
{
"id": 71,
"body": "an idea about a $ARR",
"created_at": "2012-10-08 21:42:54 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"recipient": {
"id": 1,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 6,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://www.howardlindzon.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"entities": {
"sentiment": null
}
},
{
"id": 72,
"body": "more ideas about $ARR",
"created_at": "2012-10-08 21:42:54 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"recipient": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 3,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/direct_sent.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 46,
"max": 48
},
"messages": [
{
"id": 46,
"body": "I bought $JOY",
"created_at": "2012-10-08 21:41:09 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"recipient": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 3,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"entities": {
"sentiment": null
}
},
{
"id": 47,
"body": "I sold $ARR",
"created_at": "2012-10-08 21:41:10 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"recipient": {
"id": 1,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 3,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://www.howardlindzon.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"entities": {
"sentiment": null
}
},
{
"id": 48,
"body": "long $ARR",
"created_at": "2012-10-08 21:41:10 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"recipient": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 3,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/direct_received.json?access_token=<access_token>
{
"response": {
"status": 200
},
"cursor": {
"more": true,
"since": 28,
"max": 30
},
"messages": [
{
"id": 28,
"body": "short $JOY",
"created_at": "2012-10-08 21:39:58 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"recipient": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"entities": {
"sentiment": null
}
},
{
"id": 29,
"body": "an idea about a $ARR",
"created_at": "2012-10-08 21:39:58 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"recipient": {
"id": 1,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 3,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://www.howardlindzon.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"entities": {
"sentiment": null
}
},
{
"id": 30,
"body": "more ideas about $ARR",
"created_at": "2012-10-08 21:39:58 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"recipient": {
"id": 3,
"username": "zerobeta",
"name": "Justin Paterno",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Product at StockTwits",
"website_url": "http://justinpaterno.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Growth",
"holding_period": "Position Trader",
"experience": "Intermediate"
}
},
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| id: | ID of the watch list you want to show from the authenticating user (Required) |
| since: | Returns results with an ID greater than (more recent than) the specified ID. |
| max: | Returns results with an ID less than (older than) or equal to the specified ID. |
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
| filter: | Filter messages by links, charts, videos, or top. (Optional) |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/streams/watchlist/<watchlist_id>.json?access_token=<access_token>
{
"response": {
"status": 200
},
"watchlist": {
"id": 12345,
"name": "my picks",
"updated_at": "2012-10-01 21:39:05 UTC",
"created_at": "2012-09-24 21:39:05 UTC"
},
"cursor": {
"more": true,
"since": 10,
"max": 12
},
"messages": [
{
"id": 10,
"body": "something about $JOY",
"created_at": "2012-10-08 21:39:05 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 11,
"body": "I bought $GOOG",
"created_at": "2012-10-08 21:39:05 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"trending": false
}
],
"entities": {
"sentiment": null
}
},
{
"id": 12,
"body": "I sold $ARR",
"created_at": "2012-10-08 21:39:05 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"trending": false
}
],
"entities": {
"sentiment": null
}
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| q: | The symbol or user string that you want to search for (Required) |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/search.json?access_token=<access_token> 'q=stocktwits'
{
"response": {
"status": 200
},
"results": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"type": "symbol"
},
{
"id": 16,
"symbol": "ARR",
"title": "ARMOUR Residential REIT, Inc.",
"exchange": "NYSE",
"sector": "Financial",
"industry": "Internet Information Providers",
"type": "symbol"
},
{
"id": 15,
"symbol": "GOOG",
"title": "Google Inc.",
"exchange": "NASDAQ",
"sector": "Technology",
"industry": "Other",
"type": "symbol"
},
{
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
},
"type": "user"
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| q: | The symbol that you want to search for (Required) |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/search/symbols.json?access_token=<access_token> 'q=AAPL'
{
"response": {
"status": 200
},
"results": [
{
"id": 17,
"symbol": "JOY",
"title": "Joy Global, Inc.",
"exchange": "NYSE",
"sector": "Industrial Goods",
"industry": "REIT - Residential",
"type": "symbol"
}
]
}
The extended metadata in the API response below is only available through Partner-Level Access
| q: | The user that you want to search for (Required) |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/search/users.json?access_token=<access_token> 'q=howardlindzon'
{
"response": {
"status": 200
},
"results": [
{
"id": 1,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://www.howardlindzon.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
},
"type": "user"
}
]
}
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/trending/symbols.json?access_token=<access_token>
{
"response": {
"status": 200
},
"symbols": [
{
"id": 32,
"symbol": "TF_F",
"title": "Russell 2000 Index Mini Futures",
"exchange": "ICE",
"sector": null,
"industry": null
},
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null
},
{
"id": 30,
"symbol": "ES_F",
"title": "E-Mini S&P 500 Futures",
"exchange": "CME",
"sector": null,
"industry": null
}
]
}
| limit: | Default and max limit is 30. This limit must be a number under 30. |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/trending/symbols/equities.json?access_token=<access_token>
{
"response": {
"status": 200
},
"symbols": [
{
"id": 32,
"symbol": "TF_F",
"title": "Russell 2000 Index Mini Futures",
"exchange": "ICE",
"sector": null,
"industry": null
},
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null
},
{
"id": 30,
"symbol": "ES_F",
"title": "E-Mini S&P 500 Futures",
"exchange": "CME",
"sector": null,
"industry": null
}
]
}
The reposonse returned on creating a message is a great way to use StockTwits context with content sent to another non-finacially focused social network such as Facebook, LinkedIn or Twitter. By using the body content that is returned you will receive the complete message compiled with any shortened links. Because these other platforms aren't as investor-focused as StockTwits they may lack the context like price, chart or video. Sending the response's body will allow the user of those other networks access to the finacial context of the message with a link back to the appropriate page.
The Message ID can be used to create your own link to the message as a landing page. This comes in handy in the case of a Chart or Video where you might not want to create your own webpage or integrate the chart or video into your application.
| body: | The body of the message. This parameter should be URL-encoded or entire request sent as multipart/form-data for all characters to submit properly. Chracter count must be under 140 (Required) |
| in_reply_to_message_id: | The ID this message replies to, if any. (Optional) |
| chart: | Path or URL to file to be uploaded. File Formats accepted: JPG, PNG, GIF under 1MB (Optional) |
| sentiment: | A sentiment label for the message. Acceptable values: bullish, bearish, neutral. Defaults to neutral. (Optional) |
cURL [ about cURL ] //Regular Message curl -X POST https://api.stocktwits.com/api/2/messages/create.json?access_token=<access_token> -d 'body=Creating a new message' Note that the $ character in the message may need to be escaped (\$) to prevent the shell from interpolating an environment variable. //Uploading a Chart curl https://api.stocktwits.com/api/2/messages/create.json -F access_token=<access_token> -F body="Creating a new message with a chart. \$ticker" -F chart=@/path/to/a/local/image/file.jpg //Uploading a Chart via Url curl https://api.stocktwits.com/api/2/messages/create.json -F access_token=<access_token> -F body="Creating a new message with a chart. \$ticker" -F chart="http://i.imgur.com/vMlZa.gif"
To link to a message landing page in the case of a chart or video you can create a link to the page using this path: http://stocktwits.com/message/{Message ID}
{
"response": {
"status": 200
},
"message": {
"id": 73,
"body": "something about $NQ_F",
"created_at": "2012-10-08 21:43:28 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "Official",
"classification": [
"ir",
"suggested"
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null
}
],
"entities": {
"chart": {
"thumb": "/chart_images/small/missing.png",
"original": "/chart_images/original/missing.png"
},
"sentiment": null
}
}
}
The extended metadata in the API response below is only available through Partner-Level Access
| id: | ID of the message you want to show from the authenticating user (Required) |
| conversation: | Set to true to retrieve all meesages of the associated conversation. (Optional) |
| callback: | Define your own callback function name, add this parameter as the value. |
cURL [ about cURL ] curl -X GET https://api.stocktwits.com/api/2/messages/show/<message_id>.json?access_token=<access_token>
{
"response": {
"status": 200
},
"message": {
"id": 31,
"body": "something about $NQ_F",
"created_at": "2012-10-08 21:40:22 UTC",
"user": {
"id": 2,
"username": "ppearlman",
"name": "Phil Pearlman",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Psychologist, Hedgie, entrepeneur, seed investor, stocktwits ftw!",
"website_url": "http://philpearlman.com/",
"trading_strategy": {
"assets_frequently_traded": [
"Equities"
],
"approach": "Growth",
"holding_period": "Long Term Investor",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null
}
],
"entities": {
"chart": {
"thumb": "/chart_images/small/missing.png",
"original": "/chart_images/original/missing.png"
},
"sentiment": null
}
}
}
| id: | ID of the message you want to like for the authenticating user (Required) |
cURL [ about cURL ] curl -X POST https://api.stocktwits.com/api/2/messages/like.json?access_token=<access_token> -d 'id=31415926'
{
"response": {
"status": 200
},
"message": {
"id": 13,
"body": "long $NQ_F",
"created_at": "2012-10-08 21:39:15 UTC",
"user": {
"id": 1,
"username": "howardlindzon",
"name": "Howard Lindzon",
"avatar_url": "http://avatars.stocktwits.com/images/default_avatar_thumb.jpg",
"avatar_url_ssl": "https://s3.amazonaws.com/st-avatars/images/default_avatar_thumb.jpg",
"identity": "User",
"classification": [
],
"followers": 0,
"following": 0,
"ideas": 0,
"following_stocks": 0,
"bio": "Founder and CEO of Stocktwits, Founder of Wallstrip (Acquired by CBS), Managing Member of Lindzon Capital Partners (Hedge Fund) and Managing Member of Social Leverage (an early stage web holding company) ...I have lot's of ideas.",
"website_url": "http://www.howardlindzon.com",
"trading_strategy": {
"assets_frequently_traded": [
"Equities",
"Options",
"Forex"
],
"approach": "Momentum",
"holding_period": "Swing Trader",
"experience": "Novice"
}
},
"source": {
"id": 1,
"title": "StockTwits",
"url": "http://stocktwits.com"
},
"symbols": [
{
"id": 31,
"symbol": "NQ_F",
"title": "E-Mini NASDAQ 100 Futures",
"exchange": "CME",
"sector": null,
"industry": null
}
],
"entities": {
"sentiment": null
}
}
}
| id: | ID of the message you want to unlike for the authenticating user (Required) |
[...]
